;*****************************************************************
;* File: RC_Calibration.asm
;*
;* Description: Code is capable of calibration the RC oscillator of
;* an an AVR with tunable oscillator and ISP or JTAG interface.
;*
;* $Revision: 3.1 $	
;* $Author: jllassen $
;* $Date: Monday, November 17, 2003 3:56:36 PM $
;*
;*****************************************************************

;*****************************************************************
;* Include the matching device and assemble the project
;*****************************************************************

;.include "Device specific\t12.asm"
;.include "Device specific\t13.asm"
;.include "Device specific\t15.asm"
;.include "Device specific\t2313.asm"
;.include "Device specific\t26.asm"
;.include "Device specific\m48.asm"
;.include "Device specific\m8.asm"
;.include "Device specific\m8515.asm"
;.include "Device specific\m8535.asm"
;.include "Device specific\m16.asm"
;.include "Device specific\m162.asm"
;.include "Device specific\m163.asm"
.include "Device specific\m169.asm"
;.include "Device specific\m32.asm"
;.include "Device specific\m323.asm"
;.include "Device specific\m64.asm"
;.include "Device specific\m128.asm"

;*****************************************************************
;* Include the file for the interface the the calibration should be performed on
;*****************************************************************

;.include "Interface specific\isp_AVRISP_interface.inc"
.include "Interface specific\isp_STK500_interface.inc"
;.include "Interface specific\jtag_interface.inc"

;*****************************************************************
;*	Select Target frequency below
;*****************************************************************
.equ	TARGET_FREQ	= 1000000		;Desired frequency in Hz (1000000 = 1MHz)

;*****************************************************************
;*	Specify the desired accuracy (1% recommended)
;*****************************************************************
.equ	ACCURACY	= 10		;In 1/10 percent (10 is 1%)

;*****************************************************************
;* Included main code...
;*****************************************************************
.include "common\macros.inc"
.include "common\main.asm"
